Bug 464192 - recode converts cp1252 code point incorrectly
recode converts cp1252 code point incorrectly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: recode (Show other bugs)
11
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Zoltan Kota
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-26 12:18 EDT by Jesse Thilo
Modified: 2009-07-14 14:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:26:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Correct position of CP1252 code point 0x9E. (1.45 KB, patch)
2008-10-10 10:59 EDT, Jesse Thilo
no flags Details | Diff

  None (edit)
Description Jesse Thilo 2008-09-26 12:18:56 EDT
Description of problem:
GNU recode does not convert cp1252 code point 0x9E to UTF-8.

Version-Release number of selected component (if applicable):
3.6-26.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. echo -n $'\x9E' | recode -s cp1252..utf8
  
Actual results:
recode: Ambiguous output in step `CR-LF..data'

Expected results:
ž (UTF-8 encoding of U+017E LATIN SMALL LETTER Z WITH CARON)

Additional info:
All other cp1252 code points are recoded correctly.
Comment 1 Zoltan Kota 2008-09-30 10:06:14 EDT
The command "echo -n $'\x9E' | recode -s cp1252..utf8" gives 
"recode: Non canonical input in step `CR-LF..data'" for me on Fedora 9.
Comment 2 Jesse Thilo 2008-09-30 10:27:33 EDT
Oops.  Cut-n-paste error: omitting "-s" gives the error I submitted.  Either way it's still a bug.
Comment 3 Zoltan Kota 2008-10-08 04:43:46 EDT
According to the character tables of recode (as shown by 'recode -l 
cp1252'), character 0x9e does not exist. It seems the table is incomplete.
I'm trying to contact the upstream maintainers.
Comment 4 Jesse Thilo 2008-10-10 10:29:49 EDT
(In reply to comment #3)
Notice that the code point appears (incorrectly) at position 0x8F despite the code in libiconv/cp1252.h seeming to have the code point in the correct position.  GNU Recode does not do the round-trip conversion however:

$ echo -n $'\x8F' | recode -s cp1252..utf8
ž (wrong but at least it matches "recode -l" output).

$ echo -n ž | recode -s utf8..cp1252 | hexdump -C
00000000  9e (correct but inconsistent)

GNU Recode has not been updated in a long time.  Not surprising since glibc provides iconv.  Maybe it would be better for packages to stop using recode?
Comment 5 Jesse Thilo 2008-10-10 10:59:22 EDT
Created attachment 320026 [details]
Correct position of CP1252 code point 0x9E.
Comment 6 Jesse Thilo 2008-10-10 11:00:48 EDT
I've attached a patch which corrects the recoding error.  However, it modifies a generated file and I don't have time at present to generate a proper patch.  Still, I hope this helps.
Comment 7 Bug Zapper 2009-06-09 22:49:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:26:32 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Jesse Thilo 2009-07-14 14:14:48 EDT
Problem still exists in Fedora 11.

Note You need to log in before you can comment on or make changes to this bug.